Skip to main content
POST
Run a specific workflow version

Authorizations

X-Auth-Token
string
header
required

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Path Parameters

workflowId
string
required
Minimum string length: 1
versionId
string
required
Minimum string length: 1

Body

application/json

The workflow's input fields, named as the workflow's entry node names them

{key}
any

Response

200 - application/json

Success

status
enum<string>
required
Available options:
idle,
waiting,
running,
success,
error,
skipped
result
object | null
trace_id
string
nodes
object
total_cost
number
duration_ms
number
error
object
Last modified on October 12, 2026